bitel.billing.server.phone.bean

## Class DataLog

- java.lang.Object
- - bitel.billing.server.phone.bean.DataLog

-     public final class DataLog
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCategory()`
    `java.lang.String` | `getFromNumber()`
    `java.lang.String` | `getFromNumber164()`
    `java.lang.String` | `getFromPort()`
    `int` | `getId()`
    `java.util.Calendar` | `getSessionStart()`
    `int` | `getSessionTime()`
    `java.lang.String` | `getSource()`
    `java.lang.String` | `getToNumber()`
    `java.lang.String` | `getToNumber164()`
    `java.lang.String` | `getToPort()`
    `void` | `setCategory(int category)`
    `void` | `setFromNumber(java.lang.String fromNumber)`
    `void` | `setFromNumber164(java.lang.String fromNumber164)`
    `void` | `setFromPort(java.lang.String fromPort)`
    `void` | `setId(int id)`
    `void` | `setSessionStart(java.util.Calendar sessionStart)`
    `void` | `setSessionTime(int sessionTime)`
    `void` | `setSource(java.lang.String source)`
    `void` | `setToNumber(java.lang.String toNumber)`
    `void` | `setToNumber164(java.lang.String toNumber164)`
    `void` | `setToPort(java.lang.String toPort)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataLog

          public DataLog()

  - ### Method Detail

    - #### getCategory

          public int getCategory()

    - #### setCategory

          public void setCategory(int category)

    - #### getFromNumber

          public java.lang.String getFromNumber()

    - #### setFromNumber

          public void setFromNumber(java.lang.String fromNumber)

    - #### getFromNumber164

          public java.lang.String getFromNumber164()

    - #### setFromNumber164

          public void setFromNumber164(java.lang.String fromNumber164)

    - #### getFromPort

          public java.lang.String getFromPort()

    - #### setFromPort

          public void setFromPort(java.lang.String fromPort)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getSessionStart

          public java.util.Calendar getSessionStart()

    - #### setSessionStart

          public void setSessionStart(java.util.Calendar sessionStart)

    - #### getSessionTime

          public int getSessionTime()

    - #### setSessionTime

          public void setSessionTime(int sessionTime)

    - #### getSource

          public java.lang.String getSource()

    - #### setSource

          public void setSource(java.lang.String source)

    - #### getToNumber

          public java.lang.String getToNumber()

    - #### setToNumber

          public void setToNumber(java.lang.String toNumber)

    - #### getToNumber164

          public java.lang.String getToNumber164()

    - #### setToNumber164

          public void setToNumber164(java.lang.String toNumber164)

    - #### getToPort

          public java.lang.String getToPort()

    - #### setToPort

          public void setToPort(java.lang.String toPort)